- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MPxPolyTweakUVCommand Class Reference

# OpenMaya - API module for common classes | Proxy classes

Search for all occurrences

## Detailed Description

Base class used for moving polygon UV's.

This is the base class for UV editing commands on polygonal objects.

The purpose of this command class is to simplify the process of moving UVs on a polygonal object. The use is only required to provide the new positions of the UVs that have been modified.

Examples:

  flipUVCmd.h.

`#include <MPxPolyTweakUVCommand.h>`

Inheritance diagram for MPxPolyTweakUVCommand:
[legend]

List of all members.

## Public Member Functions
| MPxPolyTweakUVCommand ()
| Class constructor.
virtual | ~MPxPolyTweakUVCommand ()
| Class destructor.
virtual MStatus | parseSyntax (MArgDatabase &argData)
| This method parses the additional flags before the command is executed.
virtual MStatus | getTweakedUVs (const MObject &mesh, MIntArray &uvList, MFloatArray &uPos, MFloatArray &vPos)
| This computes and returns modified UVs.
## Static Public Member Functions
static MSyntax | newSyntax ()
| This method creates and returns an MSyntax object required for the poly tweak UV proxy command. Search for all occurrences

## Member Function Documentation

MStatus parseSyntax | ( | MArgDatabase & | argData | ) | `[virtual]`

Search for all occurrences

This method parses the additional flags before the command is executed.

Parameters:

  [in] | argData | Arguments passed to command.

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

Examples:
  flipUVCmd.h.

MStatus getTweakedUVs | ( | const MObject & | mesh,
|  | MIntArray & | uvList,
|  | MFloatArray & | uPos,
|  | MFloatArray & | vPos
| ) |  | `[virtual]`

Search for all occurrences

This computes and returns modified UVs.

Parameters:

  [in] | mesh | The mesh object to be modified
  [in] | uvList | The list of UV Ids selected by the user. The method is allowed to change uvList on output.
  [out] | uPos | The new u values corresponding to the indices listed in uvList.
  [out] | vPos | The new v values corresponding to the indices listed in uvList.

Returns:
  - MS::kSuccess operation successful
  - MS::kFailure operation failed

Examples:
  flipUVCmd.h.

MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand
MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand MPxPolyTweakUVCommand